curl -X GET \
-H "QB-Token: bdbb2bd5abb81b1d7fe7be03db9305b46e012bba" \
https://api.quickblox.com/users/external/133712.json
{
"user": {
"id": 96831397,
"full_name": "Jen Lesser",
"email": "jen@gmail.com",
"login": "Jen",
"phone": "+1331234215",
"website": "https://mysite.com",
"created_at": "2019-08-29T19:15:17Z",
"updated_at": "2019-08-29T19:15:17Z",
"last_request_at": null,
"external_user_id": 133712,
"facebook_id": "1338866",
"twitter_id": "1339366",
"blob_id": null,
"custom_data": null,
"age_over16": true,
"allow_statistics_analysis": true,
"allow_sales_activities": true,
"parents_contacts": "",
"user_tags": "android"
}
}
{
"errors": {
"base": [
"Required session does not exist"
]
}
}
{
"errors": {
"base": [
"Users retrieving forbidden in admin panel, application settings. Setup it here https://admin.quickblox.com/apps/{app_id}/service/users/settings"
]
}
}
{
"code": null,
"message": "Couldn't find user"
}
{
"errors": {
"id": [
"should be a positive integer"
]
}
}
Users
Get User by External User ID
Retrieve a user by External User ID.
GET
/
users
/
external
/
{external_user_id}
.json
curl -X GET \
-H "QB-Token: bdbb2bd5abb81b1d7fe7be03db9305b46e012bba" \
https://api.quickblox.com/users/external/133712.json
{
"user": {
"id": 96831397,
"full_name": "Jen Lesser",
"email": "jen@gmail.com",
"login": "Jen",
"phone": "+1331234215",
"website": "https://mysite.com",
"created_at": "2019-08-29T19:15:17Z",
"updated_at": "2019-08-29T19:15:17Z",
"last_request_at": null,
"external_user_id": 133712,
"facebook_id": "1338866",
"twitter_id": "1339366",
"blob_id": null,
"custom_data": null,
"age_over16": true,
"allow_statistics_analysis": true,
"allow_sales_activities": true,
"parents_contacts": "",
"user_tags": "android"
}
}
{
"errors": {
"base": [
"Required session does not exist"
]
}
}
{
"errors": {
"base": [
"Users retrieving forbidden in admin panel, application settings. Setup it here https://admin.quickblox.com/apps/{app_id}/service/users/settings"
]
}
}
{
"code": null,
"message": "Couldn't find user"
}
{
"errors": {
"id": [
"should be a positive integer"
]
}
}
Recipes
Get user by external user id with API key
Get user by external user id with API key
1
1. Use 'Authorization' header to pass API key
curl -X GET \
-H 'Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI' \
https://api.quickblox.com/users/external/1236672.json
2
2. As a result, the API returns a user with the specified external user id
curl -X GET \
-H 'Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI' \
https://api.quickblox.com/users/external/1236672.json
Query Parameters
integer
required
ID of the user in the external system .
Headers
string
required
A user session token. See Authentication page to learn more about the session token.
string
default:"ApiKey {your_api_key}"
required
API key from Dashboard. Expected format:
ApiKey {your_api_key}. Must be used either QB-Token or Authorization.Responses
200
200
curl -X GET \
-H "QB-Token: bdbb2bd5abb81b1d7fe7be03db9305b46e012bba" \
https://api.quickblox.com/users/external/133712.json
{
"user": {
"id": 96831397,
"full_name": "Jen Lesser",
"email": "jen@gmail.com",
"login": "Jen",
"phone": "+1331234215",
"website": "https://mysite.com",
"created_at": "2019-08-29T19:15:17Z",
"updated_at": "2019-08-29T19:15:17Z",
"last_request_at": null,
"external_user_id": 133712,
"facebook_id": "1338866",
"twitter_id": "1339366",
"blob_id": null,
"custom_data": null,
"age_over16": true,
"allow_statistics_analysis": true,
"allow_sales_activities": true,
"parents_contacts": "",
"user_tags": "android"
}
}
{
"errors": {
"base": [
"Required session does not exist"
]
}
}
{
"errors": {
"base": [
"Users retrieving forbidden in admin panel, application settings. Setup it here https://admin.quickblox.com/apps/{app_id}/service/users/settings"
]
}
}
{
"code": null,
"message": "Couldn't find user"
}
{
"errors": {
"id": [
"should be a positive integer"
]
}
}
Was this page helpful?